View Issue Details

IDProjectCategoryView StatusLast Update
0000943Main CAcert Websiteorganisational sectionpublic2013-01-10 10:45
ReporterINOPIAEAssigned ToUli60 
PrioritynormalSeverityfeatureReproducibilityalways
Status needs workResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000943: Change wording inside WebDB according to OA policy
DescriptionThere is a problem of misunderstanding of the meaning Org-Admin.

The OA-Policy states the Org-Admin is the Organisation Adminstrator who is the person who does the adminstration in an Organisation account.

In the WebDB the Org-Admin is used for what is state in the OA Policy as Organisation assurer.

To clean out this misunderstanding I suggest that to replace on the account page the label of the flag Org-Admin with OA or Organisation Assurer as well as the text for the menue entry from Org-Admin to OA or Organisation Assurer
TagsNo tags attached.
Reviewed byNEOatNHNG
Test Instructions

Relationships

has duplicate 0000981 closedNEOatNHNG New layout of view for Organisation Administraors in account/id35 
related to 0000941 needs workUli60 Policy Repository Migration 

Activities

2011-05-22 16:44

 

account_stuff.php (24,538 bytes)

Uli60

2011-05-22 16:45

updater   ~0001988

menue text "Org Admin" replacement within /includes/account_stuff.php

Uli60

2011-05-22 16:52

updater   ~0001989

rename field "orgadmin" in webdb table users
see https://wiki.cacert.org/Software/Database/StructureDefined
is a full migration, that needs reviewing and fixing of all OA related code
so its better to write new code.

Uli60

2011-05-22 16:55

updater   ~0001990

simple fix for Menu text
Org Admin replaced with Org Assurer

2011-05-22 17:03

 

43.php (17,250 bytes)

Uli60

2011-05-22 17:04

updater   ~0001991

fix Org Admin in Admin console overview
/pages/account/43.php

Uli60

2011-05-22 17:10

updater   ~0001992

problem Menu text and Admin Console text
can be easily replaced
orgadmin in database table users not

Uli60

2011-05-22 17:11

updater   ~0001993

I've fixed the menu text and the admin console text for Org-Assurer (old Org Admin) flag

NEOatNHNG

2011-07-05 18:40

administrator   ~0002087

Fix reviewed and applied to the test system. Needs testing and a second review.

INOPIAE

2011-07-05 21:05

updater   ~0002088

The menu shows Org Assurer OK
Org Assurer flag label OK

moh

2011-07-21 05:10

updater   ~0002169

The menu shows Org Assurer OK
I can't find the OA-Flag now...
Bug Seems to be fixed.

Ted

2011-07-24 20:53

administrator   ~0002192

No, that's too quick! This menu contains entries for Org Admins as well as for Org Assurers!

Now every Org Admin (the admin of the Organisation) is shown a menue called "Org Assurer", I don't think that this makes sense.

Probably a new menu is needed for Org Assurer commands.

Uli60

2011-08-03 10:12

updater   ~0002276

from meeting https://wiki.cacert.org/Software/Assessment/20110802-S-A-MiniTOP

- webdb names OrgAdmins as OrgAssurers and names OrgAssurers as OrgAdmins.
- patch takes account about this issue
- problem with menu link Org Admin .. is Org Assurers menu
 * but this menu includes one addtl. link "View" that is available for
   Org Admins
  o and Org Admins with master flag to add new and delete admins of Organisation
    (this needs master flag)
 * master flag is not described in OAP (!)
 * addtl master flag to revoke ?
 * rename to "Org Administration" ?
 * don't show menu to OrgAdmins ?

Issue History

Date Modified Username Field Change
2011-05-14 07:14 INOPIAE New Issue
2011-05-22 16:44 Uli60 File Added: account_stuff.php
2011-05-22 16:45 Uli60 Note Added: 0001988
2011-05-22 16:52 Uli60 Note Added: 0001989
2011-05-22 16:53 Uli60 Status new => needs work
2011-05-22 16:53 Uli60 Assigned To => Uli60
2011-05-22 16:55 Uli60 Note Added: 0001990
2011-05-22 16:55 Uli60 Status needs work => needs feedback
2011-05-22 17:03 Uli60 File Added: 43.php
2011-05-22 17:04 Uli60 Note Added: 0001991
2011-05-22 17:10 Uli60 Note Added: 0001992
2011-05-22 17:10 Uli60 Status needs feedback => @30@
2011-05-22 17:11 Uli60 Note Added: 0001993
2011-05-22 17:11 Uli60 Status @30@ => needs work
2011-06-14 21:56 NEOatNHNG Status needs work => needs review & testing
2011-07-01 23:59 NEOatNHNG Status needs review & testing => fix available
2011-07-05 18:40 NEOatNHNG Source_changeset_attached => cacert-devel master 0d84fd36
2011-07-05 18:40 NEOatNHNG Source_changeset_attached => cacert-devel master 6e4e033e
2011-07-05 18:40 NEOatNHNG Note Added: 0002087
2011-07-05 18:40 NEOatNHNG Status fix available => needs review & testing
2011-07-05 18:45 NEOatNHNG Reviewed by => NEOatNHNG
2011-07-05 21:05 INOPIAE Note Added: 0002088
2011-07-21 05:10 moh Note Added: 0002169
2011-07-24 20:53 Ted Note Added: 0002192
2011-07-24 20:54 Ted Status needs review & testing => needs work
2011-07-28 23:13 Uli60 Status needs work => new
2011-07-28 23:13 Uli60 Assigned To Uli60 =>
2011-08-03 10:12 Uli60 Note Added: 0002276
2011-08-03 10:12 Uli60 Assigned To => Uli60
2011-08-03 10:12 Uli60 Status new => needs work
2011-09-20 08:14 Uli60 Relationship added has duplicate 0000981
2013-01-10 10:45 Werner Dworak Relationship added related to 0000941